Activity log for bug #1354730

Date Who What changed Old value New value Message
2014-08-09 18:13:04 Willem Ligtenberg bug added bug
2014-08-09 18:18:13 Willem Ligtenberg attachment added syslog of installer https://bugs.launchpad.net/ubuntu/+source/grub-installer/+bug/1354730/+attachment/4173435/+files/syslog
2014-08-09 18:18:43 Willem Ligtenberg attachment added ubuntu-server.seed https://bugs.launchpad.net/ubuntu/+source/grub-installer/+bug/1354730/+attachment/4173436/+files/ubuntu-server.seed
2014-08-09 18:19:21 Willem Ligtenberg bug added subscriber Colin Watson
2014-08-09 18:48:52 Willem Ligtenberg description I was previously able to install ubuntu on a root btrfs filesystem in raid1 mode as I described here: http://askubuntu.com/questions/87241/how-to-install-using-btrfs-in-raid10-mode I am now trying to do this again, using Ubuntu 14.04. Everything goes fine up to the point that it wants to install grub. It mentions the error in the title and fails. Apparently, somebody else also reported an error like this with 14.04. https://bugs.launchpad.net/ubuntu/+source/grub-installer/+bug/912431 (at the bottom a person mentions that it occurs in 14.04) I will attach some files later. I was previously able to install ubuntu on a root btrfs filesystem in raid1 mode as I described here: http://askubuntu.com/questions/87241/how-to-install-using-btrfs-in-raid10-mode So I used gparted to create btrfs partitions on all the disksand left 1 MB at the beginning of the disks for GRUB. (I also tried 2, and 5) Then later I made the btrfs filesystem as follows: mkfs.btrfs -m raid1 -d raid1 /dev/sda1 /dev/sdb1 /dev/sdc1 /dev/sdd1 And performed: btrfs dev scan Then I went back through normal installation. I am now trying to do this again, using Ubuntu 14.04. Everything goes fine up to the point that it wants to install grub. It mentions the error in the title and fails. Apparently, somebody else also reported an error like this with 14.04. https://bugs.launchpad.net/ubuntu/+source/grub-installer/+bug/912431 (at the bottom a person mentions that it occurs in 14.04) I will attach some files later.
2014-08-10 02:53:24 TJ grub-installer (Ubuntu): status New In Progress
2014-08-10 02:53:27 TJ grub-installer (Ubuntu): importance Undecided High
2014-08-10 02:53:30 TJ grub-installer (Ubuntu): assignee TJ (tj)
2014-08-10 03:25:07 TJ grub-installer (Ubuntu): status In Progress Triaged
2014-08-10 03:51:52 Launchpad Janitor branch linked lp:~tj/ubuntu/trusty/grub-installer/lp1354730
2014-08-10 03:54:33 TJ grub-installer (Ubuntu): assignee TJ (tj)
2014-08-10 03:55:47 TJ bug added subscriber TJ
2014-08-11 03:33:06 TJ grub-installer (Ubuntu): assignee TJ (tj)
2015-02-17 10:27:17 Launchpad Janitor branch linked lp:~tj/ubuntu/vivid/grub-installer/lp1354730
2015-02-17 10:28:36 TJ branch unlinked lp:~tj/ubuntu/trusty/grub-installer/lp1354730
2015-02-17 19:00:55 TJ branch unlinked lp:~tj/ubuntu/vivid/grub-installer/lp1354730
2015-02-17 19:05:30 TJ branch linked lp:~tj/grub-installer/lp1354730
2015-02-18 08:49:38 Launchpad Janitor branch linked lp:~tj/grub-installer/lp1354730
2015-02-19 16:55:08 Launchpad Janitor branch linked lp:~ubuntu-core-dev/grub-installer/ubuntu
2015-02-19 17:37:27 Launchpad Janitor grub-installer (Ubuntu): status Triaged Fix Released
2015-02-19 17:50:19 Launchpad Janitor branch linked lp:ubuntu/grub-installer
2015-02-20 16:46:53 Mathieu Trudel-Lapierre nominated for series Ubuntu Trusty
2015-02-20 16:46:53 Mathieu Trudel-Lapierre bug task added grub-installer (Ubuntu Trusty)
2015-02-20 16:47:05 Mathieu Trudel-Lapierre grub-installer (Ubuntu Trusty): importance Undecided Medium
2015-02-20 16:47:12 Mathieu Trudel-Lapierre grub-installer (Ubuntu Trusty): status New Triaged
2015-03-10 19:31:36 Mathieu Trudel-Lapierre grub-installer (Ubuntu): status Fix Released Triaged
2015-03-10 19:31:40 Mathieu Trudel-Lapierre grub-installer (Ubuntu): assignee TJ (tj)
2016-07-11 14:31:07 Phillip Susi grub-installer (Ubuntu): importance High Critical
2018-02-25 20:35:02 Michael Leveillee grub-installer (Ubuntu): status Triaged Incomplete
2018-02-25 20:35:08 Michael Leveillee grub-installer (Ubuntu): status Incomplete New
2018-04-07 05:27:56 Rolf Leggewie nominated for series Ubuntu Bionic
2018-04-07 05:29:11 Launchpad Janitor grub-installer (Ubuntu): status New Confirmed
2018-04-07 05:29:33 Rolf Leggewie tags bionic trusty
2018-04-07 05:34:44 Rolf Leggewie bug task added ubuntu-release-notes
2018-04-27 18:10:10 ziya grub-installer (Ubuntu): assignee ziya (bazzkpr1)
2018-04-30 13:23:28 dino99 grub-installer (Ubuntu): assignee ziya (bazzkpr1)
2018-05-23 13:11:28 Phillip Susi summary 14.04 grub-install failed: Wrong number of args: mapdevfs <path> grub-install failed: Wrong number of args: mapdevfs with multi disk btrfs
2018-10-18 17:22:05 khanh ubuntu-release-notes: status New Fix Committed
2018-10-18 17:22:16 khanh ubuntu-release-notes: assignee khanh (duykhanh1996)
2018-10-18 17:22:21 khanh grub-installer (Ubuntu): status Confirmed Fix Released
2018-10-18 17:22:24 khanh grub-installer (Ubuntu): assignee khanh (duykhanh1996)
2018-10-18 17:22:27 khanh grub-installer (Ubuntu Trusty): assignee khanh (duykhanh1996)
2018-10-18 17:22:31 khanh grub-installer (Ubuntu Trusty): status Triaged Fix Released